// Shell code, essetially the main() function
// Sébastien Gendre <seb@k-7.ch>

#include <stdlib.h>
#include <stdio.h>
#include "common.h"
#include "command.h"
#include "interfaces.h"


int main(int argc, char *argv[])
{
  char *user_input;
  cmd_t *command_p;
  
  user_input = calloc(LIMIT_USER_INPUT_MAX_LENGTH, sizeof(char));
  
  while(1){
    interface_ask_user_input(user_input);
    command_p = command_pipeline_from_str(user_input);
    command_pipeline_exec(command_p);
    command_free_pipeline(command_p);
  }
  return 0;
}

